import { InputSignal } from "@angular/core";
import type { Dictionary } from "../../types/typescript";
import type { AccordionProps } from "./accordion.types";
import * as i0 from "@angular/core";
export default class Accordion {
    grid: InputSignal<AccordionProps["grid"]>;
    oneAtATime: InputSignal<AccordionProps["oneAtATime"]>;
    items: InputSignal<AccordionProps["items"]>;
    gridRowWidth: InputSignal<AccordionProps["gridRowWidth"]>;
    builderBlock: InputSignal<AccordionProps["builderBlock"]>;
    builderContext: InputSignal<AccordionProps["builderContext"]>;
    builderComponents: InputSignal<AccordionProps["builderComponents"]>;
    builderLinkComponent: InputSignal<AccordionProps["builderLinkComponent"]>;
    open: import("@angular/core").WritableSignal<any[]>;
    onlyOneAtATime: import("@angular/core").Signal<boolean>;
    accordionStyles: import("@angular/core").Signal<{
        flexDirection: "row" | "column-reverse" | "column" | "row-reverse";
        alignItems: "center" | "stretch" | "flex-start" | "flex-end" | "baseline";
        flexWrap: "wrap" | "nowrap";
        display: "none" | "flex";
    }>;
    accordionTitleStyles: import("@angular/core").Signal<Dictionary<string>>;
    openGridItemOrder: import("@angular/core").Signal<number>;
    accordionDetailStyles: import("@angular/core").Signal<Dictionary<string>>;
    getAccordionTitleClassName(index: number): string;
    getAccordionDetailClassName(index: number): string;
    onClick(index: number): void;
    objSpread_style_oaowqb(item: any, index: any): any;
    templateStr_z2r7ff(item: any, index: any): string;
    templateStr_x0msw(item: any, index: any): string;
    trackByItem0(index: number, item: any): number;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<Accordion, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Accordion, "accordion", never, { "grid": { "alias": "grid"; "required": false; "isSignal": true; }; "oneAtATime": { "alias": "oneAtATime"; "required": false; "isSignal": true; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; "gridRowWidth": { "alias": "gridRowWidth"; "required": false; "isSignal": true; }; "builderBlock": { "alias": "builderBlock"; "required": false; "isSignal": true; }; "builderContext": { "alias": "builderContext"; "required": false; "isSignal": true; }; "builderComponents": { "alias": "builderComponents"; "required": false; "isSignal": true; }; "builderLinkComponent": { "alias": "builderLinkComponent"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
